#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
#define CRP(t, x) const t &x
#define OPL(t, x) bool operator<(CRP(t, x)) const
#define FIL(x, v) memset(x, v, sizeof(x))
#define CLR(x) FIL(x, 0)
#define NE1(x) FIL(x, -1)
#define INF(x) FIL(x, 0x3f)
#ifndef _DEBUG
#define _DEBUG 0
#endif // !_DEBUG
#define IFD if (_DEBUG)
typedef long long ll, i64;
const int N = 1e5 + 50;
char s[N];
int main()
{
    scanf("%s", s);
    int n = strlen(s), ans = 0;
    list<char> l(s, s + n);
    for (auto ite = l.begin(); ite != l.end();)
    {
        bool flag = true;
        auto ite2 = ite;
        ++ite2;
        if (ite2 != l.end() && *ite2 == *ite)
        {
            auto ite3 = ite2;
            ++ite3;
            if (ite3 != l.end() && *ite3 == *ite)
            {
                flag = false;
                ans++;
                if (ite == l.begin())
                {
                    l.erase(ite, ++ite3);
                    ite = l.begin();
                }
                else
                {
                    l.erase(ite--, ++ite3);
                    if (ite != l.begin()) --ite;
                }
            }
        }
        if (flag && ite != l.end())
            ++ite;
    }
    printf("%d", ans);
    return 0;
}